Subject: [Simple] [Technical Errata Reported] RFC4480 (2962)

From: RFC Errata System <[email-masked]>
Date: Thu, 8 Sep 2011 00:19:50 -0700 (PDT)

The following errata report has been submitted for RFC4480,
"RPID: Rich Presence Extensions to the Presence Information Data Format (PIDF)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4480&eid=2962

--------------------------------------
Type: Technical
Reported by: Raphael Bossek <[email-masked]>

Section: 4.

Original Text
-------------
<dm:deviceID>urn:device:0003ba4811e3</dm:deviceID>
...
<dm:deviceID>urn:x-mac:0003ba4811e3</dm:deviceID>
...
<dm:deviceID>urn:device:0003ba4811e3</dm:deviceID>

Corrected Text
--------------
Replace all three with

<dm:deviceID>urn:uuid:698137d0-b395-11e0-aff2-0800200c9a66</dm:deviceID>

Notes
-----
"urn:device" is a not registered URN namespace as defined by RFC3406: Uniform Resource Names (URN) Namespace Definition Mechanisms. "urn:x-mac" is an experimental URN namespace. All <dm:deviceID> address point to the same device.
RFC 4479 in section 3.4. Device RECOMMENDS version 1 UUIDs for the <deviceID> element: "For devices with a MAC address, version 1 UUIDs are RECOMMENDED, as they result in a time-based identifier that makes use of the MAC address."

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4480 (draft-ietf-simple-rpid-10)
--------------------------------------
Title               : RPID: Rich Presence Extensions to the Presence Information Data Format (PIDF)
Publication Date    : July 2006
Author(s)           : H. Schulzrinne, V. Gurbani, P. Kyzivat, J. Rosenberg
Category            : PROPOSED STANDARD
Source              : SIP for Instant Messaging and Presence Leveraging Extensions
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG